
Katello - Feature #24172

Upgrade to Candlepin version supporting System Purpose

07/05/2018 11:37 PM - Jonathon Turel

Status: Closed   

Priority: Normal   

Assignee: Jonathon Turel   

Category:    

Target version: Katello 3.9.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a developer I have upgraded Katello to work with a candlepin version that

exposes the System Purpose functionality so that it can be used through & across

Katello

Acceptance Criteria

Candlepin is upgraded per documentation

1

Basic check of system purpose features to validate the build

[1] https://theforeman.org/plugins/katello/developers.html#UpgradingCandlepin

Related issues:

Blocks Katello - Feature #24075: System Purpose P1, P2 Closed

History

#1 - 07/05/2018 11:37 PM - Jonathon Turel

- Blocks Feature #24075: System Purpose P1, P2 added

#2 - 07/18/2018 04:51 PM - Jonathon Turel

- Target version set to Katello 3.9.0

#3 - 07/18/2018 06:31 PM - Jonathon Turel

- Triaged changed from No to Yes

#4 - 09/24/2018 02:23 PM - Jonathon Turel

- Assignee set to Jonathon Turel

#5 - 09/26/2018 01:26 PM - Jonathon Turel

- Status changed from New to Closed

This is now in nightly repos: http://koji.katello.org/releases/yum/katello-nightly/candlepin/el7/x86_64/
